Bug 13567 - Fix memory and resource leaks
Summary: Fix memory and resource leaks
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services (show other bugs)
Version: 4.9.0rc1
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-09 14:47 UTC by Andreas Schneider
Modified: 2018-08-24 09:56 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.9 (18.74 KB, patch)
2018-08-16 13:04 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-08-09 14:47:20 UTC
Fix several memory and resource leaks in the Samba codebase.

Patch will follow.
Comment 1 Andreas Schneider 2018-08-16 13:04:48 UTC
Created attachment 14426 [details]
patch for 4.9
Comment 2 Jeremy Allison 2018-08-16 23:19:22 UTC
Re-assigning to Karolin for inclusion in 4.9.next.
Comment 3 Karolin Seeger 2018-08-23 08:01:40 UTC
(In reply to Jeremy Allison from comment #2)
Pushed to autobuild-v4-9-test.
Comment 4 Karolin Seeger 2018-08-24 09:56:21 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!